[Camera Plugin] Module definition is incompatible

[Camera Plugin] Module definition is incompatible

  
Forge Component
(1)
Published on 24 Nov (11 days ago) by OutSystems
1 vote
Published on 24 Nov (11 days ago) by OutSystems

I'm getting the following message on the p10:

“Producer ‘CameraPlugin’ module definition is incompatible. Please update it.”.


Any idea?

Hey, Helio,

Did this happen after you upgraded your environment to Beta 2? If so, could you please check and see if all references from your application are refreshed?

Also: does this also happen on devices? Even with a freshly installed native shell? 

Best regards,

Carlos Simões

Hello Carlos,

Yes it was after the update. I've refreshed all references and even reinstalled from forge but without success.

It happens on iphones (haven't tried on android because we are not aiming for that platform right now).


Carlos Simões wrote:

Hey, Helio,

Did this happen after you upgraded your environment to Beta 2? If so, could you please check and see if all references from your application are refreshed?

Also: does this also happen on devices? Even with a freshly installed native shell? 

Best regards,

Carlos Simões



Hmm, my guess is your app contains incompatible data from a previous version. Could you please try to:

  1. Uninstall the app on the device, install it again and see if it's still in the same error state
  2. If so, try opening an incognito Chrome window to the app and, again, see if it's still in the same error state

These two steps will help me confirm if my suspicions are correct. If none of them solve it, could you try posting on the EAP forums or even contacting beta support?

Best regards,

Carlos Simões

Thanks Carlos.

Have uninstalled the app and it skipped this issue but now I'm getting a "undefinied is not an object (Evaluating 'navigator.camera.getPicture')".


Carlos Simões wrote:

Hmm, my guess is your app contains incompatible data from a previous version. Could you please try to:

  1. Uninstall the app on the device, install it again and see if it's still in the same error state
  2. If so, try opening an incognito Chrome window to the app and, again, see if it's still in the same error state

These two steps will help me confirm if my suspicions are correct. If none of them solve it, could you try posting on the EAP forums or even contacting beta support?

Best regards,

Carlos Simões



Ok, great! We're over the initial problem. My suspicion now is that you're having the same problem Remco had on this thread: the native app is not including the plugin code.

Could you try his accepted solution? Don't forget to reinstall the app on the device after doing all the steps.

We have information that the fix for the issue was already done and will be launched with the GA version, so you won't need to worry about this next time you upgrade (although it's one of those "reboot style" solutions that might come in handy).

Hello, Hélio,

Were you able to solve your issue?

Best regards,

Carlos Simões

Hello Carlos,

Yes, thanks for your help.


Carlos Simões wrote:

Hello, Hélio,

Were you able to solve your issue?

Best regards,

Carlos Simões



Awesome! Let us know if you need further help!


Best regards,

Carlos Simões